Show / Hide Table of Contents

# Class RequestResponseBase

Abstract base class for similar objects shared by both request and response objects.

##### Inheritance

Object
RequestResponseBase
Request
Response

##### Inherited Members

Object.Equals(Object)
Object.Equals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()
Object.ReferenceEquals(Object, Object)

###### Namespace: Titanium.Web.Proxy.Http

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public abstract class RequestResponseBase

### Properties

| Improve this Doc View Source

#### Body

Body as byte array

##### Declaration

    [Browsable(false)]
    public byte[] Body { get; }

##### Property Value

Type | Description
--- | ---
Byte[] |

| Improve this Doc View Source

#### BodyInternal

Cached body content as byte array.

##### Declaration

    protected byte[] BodyInternal { get; }

##### Property Value

Type | Description
--- | ---
Byte[] |

| Improve this Doc View Source

#### BodyString

Body as string. Use the encoding specified to decode the byte[] data to string

##### Declaration

    [Browsable(false)]
    public string BodyString { get; }

##### Property Value

Type | Description
--- | ---
String |

| Improve this Doc View Source

#### ContentEncoding

Content encoding for this request/response.

##### Declaration

    public string ContentEncoding { get; }

##### Property Value

Type | Description
--- | ---
String |

| Improve this Doc View Source

#### ContentLength

Length of the body.

##### Declaration

    public long ContentLength { get; set; }

##### Property Value

Type | Description
--- | ---
Int64 |

| Improve this Doc View Source

#### ContentType

Content-type of the request/response.

##### Declaration

    public string ContentType { get; set; }

##### Property Value

Type | Description
--- | ---
String |

| Improve this Doc View Source

#### Encoding

Encoding for this request/response.

##### Declaration

    public Encoding Encoding { get; }

##### Property Value

Type | Description
--- | ---
Encoding |

| Improve this Doc View Source

#### HasBody

Has the request/response body?

##### Declaration

    public abstract bool HasBody { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### Headers

Collection of all headers.

##### Declaration

    public HeaderCollection Headers { get; }

##### Property Value

Type | Description
--- | ---
HeaderCollection |

| Improve this Doc View Source

#### HeaderText

The header text.

##### Declaration

    public abstract string HeaderText { get; }

##### Property Value

Type | Description
--- | ---
String |

| Improve this Doc View Source

#### HttpVersion

Http Version.

##### Declaration

    public Version HttpVersion { get; set; }

##### Property Value

Type | Description
--- | ---
Version |

| Improve this Doc View Source

#### IsBodyRead

Was the body read by user?

##### Declaration

    public bool IsBodyRead { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### IsChunked

Is body send as chunked bytes.

##### Declaration

    public bool IsChunked { get; set; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### KeepBody

Keeps the body data after the session is finished.

##### Declaration

    public bool KeepBody { get; set; }

##### Property Value

Type | Description
--- | ---
Boolean |

### Methods

| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
String |

##### Overrides

Object.ToString()